Update a bank account Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v2/bank-accounts/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • account_uuids array[string(uuid)] Required

    The UUIDs of the accounts who should own the bank account. These must only be client accounts.

  • account_name string Required

    The friendly name for the bank account.

    Maximum length is 255.

  • account_holders string Required

    The name of the bank account holder(s) as it appears on statements

    Maximum length is 255.

  • account_number string Required

    The bank account number.

  • sort_code string Required

    The bank account sort code

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • account_name string
    • account_holders string
    • account_number string
    • sort_code string
    • accounts object
      Hide accounts attributes Show accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

PUT /api/v2/bank-accounts/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/bank-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"account_uuids":["2d48fe04-5248-494f-9024-d382dbbfa00f","fcdae972-a6bb-40bd-80db-cfab85415e48","a8c3ad34-b718-4cc8-8f63-5f6273823b52"],"account_name":"My Savings Account","account_holders":"Mr John A Smith","account_number":"01234567","sort_code":"012345"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "account_uuids": [
    "2d48fe04-5248-494f-9024-d382dbbfa00f",
    "fcdae972-a6bb-40bd-80db-cfab85415e48",
    "a8c3ad34-b718-4cc8-8f63-5f6273823b52"
  ],
  "account_name": "My Savings Account",
  "account_holders": "Mr John A Smith",
  "account_number": "01234567",
  "sort_code": "012345"
}
Response examples (200)
{
  "uuid": "399a07ac-23a4-4e6f-8df7-7cc36b9e3aa3",
  "created_at": "2026-07-17T15:25:31+01:00",
  "updated_at": "2026-07-17T15:25:31+01:00",
  "account_name": "Savings Account",
  "account_holders": "Mr John A Smith",
  "account_number": "12345678",
  "sort_code": "123456",
  "accounts": {
    "uuid": "7c3303e7-56d5-4c1c-84e9-2f4e7bfd9576",
    "created_at": "2026-07-17T15:25:31+01:00",
    "updated_at": "2026-07-17T15:25:31+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": {
      "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  }
}